CVE-2004-2541
CVSS6.9
发布时间 :2004-12-31 00:00:00
修订时间 :2011-03-07 21:19:00
NMCOPS    

[原文]Buffer overflow in Cscope 15.5, and possibly multiple overflows, allows remote attackers to execute arbitrary code via a C file with a long #include line that is later browsed by the target.


[CNNVD]Mac OS X 2007-007更新修复多个安全漏洞(CNNVD-200412-397)

        
        Mac OS X是苹果家族计算机所使用的操作系统。
        Apple 2007-007安全更新修复了Mac OS X中的多个安全漏洞,远程或本地攻击者可能利用这些漏洞造成多种威胁。
        具体条目包括:
        * CVE-2005-0758
        bzgrep在处理畸形文件名时存在漏洞,攻击者通过诱使用户bzgrep恶意文件执行任意指令。
        * CVE-2007-2403
        Mac OS X在处理FTP URI时存在漏洞,攻击者可以诱使用户处理恶意FTP URI的用户在当前FTP会话中执行任意命令。
        * CVE-2007-2404
        CFNetwork处理HTTP回应数据时易受数据分割攻击的影响,可能导致跨站脚本执行。
        * CVE-2007-3745
        CoreAudio的Java接口允许释放任意的内存地址,远程攻击者可能利用此漏洞通过诱使用户访问一个恶意网页控制用户系统。
        * CVE-2007-3746
        CoreAudio的Java接口存在堆块边界访问漏洞,远程攻击者可能利用此漏洞通过诱使用户访问一个恶意网页控制用户系统。
        * CVE-2007-3747
        CoreAudio的Java接口允许在堆块以外的内存初始化或操作对象,远程攻击者可能利用此漏洞通过诱使用户访问一个恶意网页控制用户系统。
        * CVE-2004-0996,CVE-2004-2541
        Cscope存在多个漏洞,包括缓冲区溢出和不安全的方式创建临时文件,可能导致远程攻击者控制系统。
        * CVE-2005-0758
        zgrep在处理畸形文件名时存在漏洞,攻击者通过诱使用户zgrep恶意文件执行任意指令。
        * CVE-2007-3748
        iChat使用的UPnP IGD代码实现上存在缓冲区溢出漏洞,本地网络上的远程攻击者可能利用此漏洞导致拒绝服务或执行任意指令。
        * CVE-2007-2442,CVE-2007-2443,CVE-2007-2798
        MIT Kerberos kadmind实现上存在多个漏洞,攻击者可能利用这些漏洞导致拒绝服务或执行任意指认。
        * CVE-2007-3744
        mDNSResponder使用的UPnP IGD代码实现上存在缓冲区溢出漏洞,本地网络上的远程攻击者可能利用此漏洞导致拒绝服务或执行任意指令。
        * CVE-2007-2405
        Preview处理PDF文件的实现上存在整数溢出漏洞,攻击者可能利用此漏洞诱使用户处理恶意PDF文件控制用户系统。
        * CVE-2007-1001,CVE-2007-1287,CVE-2007-1460,CVE-2007-1461,CVE-2007-1484,CVE-2007-1521,CVE-2007-1583,CVE-2007-1711,CVE-2007-1717
        PHP的实现上存在多个漏洞,可能导致各种攻击。
        * CVE-2007-2406
        Quartz Composer实现上存在未初始化对象指针处理漏洞,攻击者可能诱使用户处理恶意文件控制用户系统。
        * CVE-2007-2446
        Samba的实现在处理畸形的RPC请求时存在堆缓冲区溢出漏洞,远程攻击者可能利用此漏洞控制服务器。
        * CVE-2007-2447
        Samba的实现在处理畸形RPC请求时存在命令注入漏洞,远程攻击者可能利用此漏洞在服务器上执行任意命令。
        * CVE-2007-2407
        Samba的实现没有正确地处理权限的丢弃,导致磁盘限额绕过。
        * CVE-2005-3128,CVE-2006-2842,CVE-2006-3174,CVE-2006-4019,CVE-2006-6142,CVE-2007-1262,CVE-2007-2589
        SquirrelMail的实现上存在多个漏洞,可能导致跨站脚本执行。
        * CVE-2005-2090,CVE-2007-0450,CVE-2007-1358,CVE-2007-1860
        Tomcat实现上存在多个漏洞,可能导致跨站脚本执行和信息泄露。
        * CVE-2007-2408
        WebCore软件包实现上存在漏洞,可能导致不期望的Java applet执行。
        * CVE-2007-0478
        WebCore软件包在处理HTML标题的代码上存在漏洞,允许远程用户插入代码。
        * CVE-2007-2409,CVE-2007-2410
        WebCore软件包的实现上存在漏洞,可能导致浏览器信息泄露。
        * CVE-2007-3742
        WebKit软件包实现上存在漏洞,可能导致域名欺骗。
        * CVE-2007-3944
        Safari的JavaScript引擎使用的PCRE库实现上存在堆溢出漏洞,远程攻击者可能利用此漏洞通过诱使用户访问恶意网页控制用户系统。
        

- CVSS (基础分值)

CVSS分值: 6.9 [中等(MEDIUM)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-119 [内存缓冲区边界内操作的限制不恰当]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

oval:org.mitre.oval:def:10069Buffer overflow in Cscope 15.5, and possibly multiple overflows, allows remote attackers to execute arbitrary code via a C file with a long ...
oval:org.mitre.oval:def:22213ELSA-2009:1102: cscope security update (Moderate)
*OVAL详细的描述了检测该漏洞的方法,你可以从相关的OVAL定义中找到更多检测该漏洞的技术细节。

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2541
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-2541
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-397
(官方数据源) CNNVD

- 其它链接及资源

https://bugzilla.redhat.com/show_bug.cgi?id=490667
(UNKNOWN)  CONFIRM  https://bugzilla.redhat.com/show_bug.cgi?id=490667
http://www.vupen.com/english/advisories/2007/2732
(UNKNOWN)  VUPEN  ADV-2007-2732
http://www.securityfocus.com/bid/25159
(UNKNOWN)  BID  25159
http://www.securityfocus.com/bid/18050
(UNKNOWN)  BID  18050
http://www.redhat.com/support/errata/RHSA-2009-1102.html
(UNKNOWN)  REDHAT  RHSA-2009:1102
http://www.redhat.com/support/errata/RHSA-2009-1101.html
(UNKNOWN)  REDHAT  RHSA-2009:1101
http://www.osvdb.org/11920
(UNKNOWN)  OSVDB  11920
http://www.gentoo.org/security/en/glsa/glsa-200606-10.xml
(UNKNOWN)  GENTOO  GLSA-200606-10
http://www.debian.org/security/2006/dsa-1064
(UNKNOWN)  DEBIAN  DSA-1064
http://sourceforge.net/tracker/index.php?func=detail&aid=1064875&group_id=4664&atid=104664
(UNKNOWN)  MISC  http://sourceforge.net/tracker/index.php?func=detail&aid=1064875&group_id=4664&atid=104664
http://secunia.com/advisories/35462
(UNKNOWN)  SECUNIA  35462
http://secunia.com/advisories/26235
(UNKNOWN)  SECUNIA  26235
http://secunia.com/advisories/20564
(UNKNOWN)  SECUNIA  20564
http://secunia.com/advisories/20191
(UNKNOWN)  SECUNIA  20191
http://secunia.com/advisories/13237
(VENDOR_ADVISORY)  SECUNIA  13237
http://lists.apple.com/archives/security-announce//2007/Jul/msg00004.html
(UNKNOWN)  APPLE  APPLE-SA-2007-07-31
http://docs.info.apple.com/article.html?artnum=306172
(UNKNOWN)  CONFIRM  http://docs.info.apple.com/article.html?artnum=306172

- 漏洞信息

Mac OS X 2007-007更新修复多个安全漏洞
中危 缓冲区溢出
2004-12-31 00:00:00 2009-06-23 00:00:00
远程  
        
        Mac OS X是苹果家族计算机所使用的操作系统。
        Apple 2007-007安全更新修复了Mac OS X中的多个安全漏洞,远程或本地攻击者可能利用这些漏洞造成多种威胁。
        具体条目包括:
        * CVE-2005-0758
        bzgrep在处理畸形文件名时存在漏洞,攻击者通过诱使用户bzgrep恶意文件执行任意指令。
        * CVE-2007-2403
        Mac OS X在处理FTP URI时存在漏洞,攻击者可以诱使用户处理恶意FTP URI的用户在当前FTP会话中执行任意命令。
        * CVE-2007-2404
        CFNetwork处理HTTP回应数据时易受数据分割攻击的影响,可能导致跨站脚本执行。
        * CVE-2007-3745
        CoreAudio的Java接口允许释放任意的内存地址,远程攻击者可能利用此漏洞通过诱使用户访问一个恶意网页控制用户系统。
        * CVE-2007-3746
        CoreAudio的Java接口存在堆块边界访问漏洞,远程攻击者可能利用此漏洞通过诱使用户访问一个恶意网页控制用户系统。
        * CVE-2007-3747
        CoreAudio的Java接口允许在堆块以外的内存初始化或操作对象,远程攻击者可能利用此漏洞通过诱使用户访问一个恶意网页控制用户系统。
        * CVE-2004-0996,CVE-2004-2541
        Cscope存在多个漏洞,包括缓冲区溢出和不安全的方式创建临时文件,可能导致远程攻击者控制系统。
        * CVE-2005-0758
        zgrep在处理畸形文件名时存在漏洞,攻击者通过诱使用户zgrep恶意文件执行任意指令。
        * CVE-2007-3748
        iChat使用的UPnP IGD代码实现上存在缓冲区溢出漏洞,本地网络上的远程攻击者可能利用此漏洞导致拒绝服务或执行任意指令。
        * CVE-2007-2442,CVE-2007-2443,CVE-2007-2798
        MIT Kerberos kadmind实现上存在多个漏洞,攻击者可能利用这些漏洞导致拒绝服务或执行任意指认。
        * CVE-2007-3744
        mDNSResponder使用的UPnP IGD代码实现上存在缓冲区溢出漏洞,本地网络上的远程攻击者可能利用此漏洞导致拒绝服务或执行任意指令。
        * CVE-2007-2405
        Preview处理PDF文件的实现上存在整数溢出漏洞,攻击者可能利用此漏洞诱使用户处理恶意PDF文件控制用户系统。
        * CVE-2007-1001,CVE-2007-1287,CVE-2007-1460,CVE-2007-1461,CVE-2007-1484,CVE-2007-1521,CVE-2007-1583,CVE-2007-1711,CVE-2007-1717
        PHP的实现上存在多个漏洞,可能导致各种攻击。
        * CVE-2007-2406
        Quartz Composer实现上存在未初始化对象指针处理漏洞,攻击者可能诱使用户处理恶意文件控制用户系统。
        * CVE-2007-2446
        Samba的实现在处理畸形的RPC请求时存在堆缓冲区溢出漏洞,远程攻击者可能利用此漏洞控制服务器。
        * CVE-2007-2447
        Samba的实现在处理畸形RPC请求时存在命令注入漏洞,远程攻击者可能利用此漏洞在服务器上执行任意命令。
        * CVE-2007-2407
        Samba的实现没有正确地处理权限的丢弃,导致磁盘限额绕过。
        * CVE-2005-3128,CVE-2006-2842,CVE-2006-3174,CVE-2006-4019,CVE-2006-6142,CVE-2007-1262,CVE-2007-2589
        SquirrelMail的实现上存在多个漏洞,可能导致跨站脚本执行。
        * CVE-2005-2090,CVE-2007-0450,CVE-2007-1358,CVE-2007-1860
        Tomcat实现上存在多个漏洞,可能导致跨站脚本执行和信息泄露。
        * CVE-2007-2408
        WebCore软件包实现上存在漏洞,可能导致不期望的Java applet执行。
        * CVE-2007-0478
        WebCore软件包在处理HTML标题的代码上存在漏洞,允许远程用户插入代码。
        * CVE-2007-2409,CVE-2007-2410
        WebCore软件包的实现上存在漏洞,可能导致浏览器信息泄露。
        * CVE-2007-3742
        WebKit软件包实现上存在漏洞,可能导致域名欺骗。
        * CVE-2007-3944
        Safari的JavaScript引擎使用的PCRE库实现上存在堆溢出漏洞,远程攻击者可能利用此漏洞通过诱使用户访问恶意网页控制用户系统。
        

- 公告与补丁

        厂商补丁:
        Apple
        -----
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        
        http://docs.info.apple.com/article.html?artnum=306172

- 漏洞信息 (F46503)

Debian Linux Security Advisory 1064-1 (PacketStormID:F46503)
2006-05-22 00:00:00
Debian  debian.org
advisory,arbitrary
linux,debian
CVE-2004-2541
[点击下载]

Debian Security Advisory 1064-1 - Jason Duell discovered that cscope, a source code browsing tool, does not verify the length of file names sourced in include statements, which may potentially lead to the execution of arbitrary code through specially crafted source code files.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

- --------------------------------------------------------------------------
Debian Security Advisory DSA 1064-1                    security@debian.org
http://www.debian.org/security/                         Moritz Muehlenhoff
May 19th, 2006                          http://www.debian.org/security/faq
- --------------------------------------------------------------------------

Package        : cscope
Vulnerability  : buffer overflows
Problem-Type   : local(remote)
Debian-specific: no
CVE ID         : CVE-2004-2541
Debian Bug     : 340177

Jason Duell discovered that cscope, a source code browsing tool, does not
verify the length of file names sourced in include statements, which may
potentially lead to the execution of arbitrary code through specially
crafted source code files.

For the old stable distribution (woody) this problem has been fixed in
version 15.3-1woody3.

For the stable distribution (sarge) this problem has been fixed in
version 15.5-1.1sarge1.

For the unstable distribution (sid) this problem will be fixed soon.

We recommend that you upgrade your cscope package.


Upgrade Instructions
- --------------------

wget url
        will fetch the file for you
dpkg -i file.deb
        will install the referenced file.

If you are using the apt-get package manager, use the line for
sources.list as given below:

apt-get update
        will update the internal database
apt-get upgrade
        will install corrected packages

You may use an automated update by adding the resources from the
footer to the proper configuration.


Debian GNU/Linux 3.0 alias woody
- --------------------------------

  Source archives:

    http://security.debian.org/pool/updates/main/c/cscope/cscope_15.3-1woody3.dsc
      Size/MD5 checksum:      593 d36603717733dc8ff49914eaf4300381
    http://security.debian.org/pool/updates/main/c/cscope/cscope_15.3-1woody3.diff.gz
      Size/MD5 checksum:     8034 83507ba06fb031e63f3b6cb260620166
    http://security.debian.org/pool/updates/main/c/cscope/cscope_15.3.orig.tar.gz
      Size/MD5 checksum:   196580 7540514aab8c0a3737ee8dd08a5422ba

  Alpha architecture:

    http://security.debian.org/pool/updates/main/c/cscope/cscope_15.3-1woody3_alpha.deb
      Size/MD5 checksum:   130048 d729693cb355419dc0d9eceaeab67e58

  ARM architecture:

    http://security.debian.org/pool/updates/main/c/cscope/cscope_15.3-1woody3_arm.deb
      Size/MD5 checksum:   111718 2001c0fce84ebca43ab2a7e9c4f56a70

  Intel IA-32 architecture:

    http://security.debian.org/pool/updates/main/c/cscope/cscope_15.3-1woody3_i386.deb
      Size/MD5 checksum:   105214 a064ad2244c7ff3736a9002675de4056

  Intel IA-64 architecture:

    http://security.debian.org/pool/updates/main/c/cscope/cscope_15.3-1woody3_ia64.deb
      Size/MD5 checksum:   148852 032171f8c88da3293ed3b416b583f59d

  HP Precision architecture:

    http://security.debian.org/pool/updates/main/c/cscope/cscope_15.3-1woody3_hppa.deb
      Size/MD5 checksum:   121968 ab9b12f38cfdc988b35fa98f481e2bfc

  Motorola 680x0 architecture:

    http://security.debian.org/pool/updates/main/c/cscope/cscope_15.3-1woody3_m68k.deb
      Size/MD5 checksum:   102402 4a7ad64b1bf06b0bbccee27c0a0897f6

  Big endian MIPS architecture:

    http://security.debian.org/pool/updates/main/c/cscope/cscope_15.3-1woody3_mips.deb
      Size/MD5 checksum:   119910 de825e4e959c3cda3b574169a69895da

  Little endian MIPS architecture:

    http://security.debian.org/pool/updates/main/c/cscope/cscope_15.3-1woody3_mipsel.deb
      Size/MD5 checksum:   119654 ac7b027b31e2be6c33f5ad3f8e2dc4b7

  PowerPC architecture:

    http://security.debian.org/pool/updates/main/c/cscope/cscope_15.3-1woody3_powerpc.deb
      Size/MD5 checksum:   114396 7077f6a7c2d11f85bf5171b1bdffe848

  IBM S/390 architecture:

    http://security.debian.org/pool/updates/main/c/cscope/cscope_15.3-1woody3_s390.deb
      Size/MD5 checksum:   111188 b0c6e8b9fd1f0a5ba755e3ffd562910a

  Sun Sparc architecture:

    http://security.debian.org/pool/updates/main/c/cscope/cscope_15.3-1woody3_sparc.deb
      Size/MD5 checksum:   115322 c025c7ae8b29f671dc8abbb3aed26f48


Debian GNU/Linux 3.1 alias sarge
- --------------------------------

  Source archives:

    http://security.debian.org/pool/updates/main/c/cscope/cscope_15.5-1.1sarge1.dsc
      Size/MD5 checksum:      597 39f9427ce419d5045e6097c435a7a0ef
    http://security.debian.org/pool/updates/main/c/cscope/cscope_15.5-1.1sarge1.diff.gz
      Size/MD5 checksum:    27553 ac506371d19916ee37e605594a5c9073
    http://security.debian.org/pool/updates/main/c/cscope/cscope_15.5.orig.tar.gz
      Size/MD5 checksum:   243793 beb6032a301bb11524aec74bfb5e4840

  Alpha architecture:

    http://security.debian.org/pool/updates/main/c/cscope/cscope_15.5-1.1sarge1_alpha.deb
      Size/MD5 checksum:   164426 611b802728aa465007172b4e37419c9b

  AMD64 architecture:

    http://security.debian.org/pool/updates/main/c/cscope/cscope_15.5-1.1sarge1_amd64.deb
      Size/MD5 checksum:   152818 52bb193c57af94c4a5b4f6d1c8d054a9

  ARM architecture:

    http://security.debian.org/pool/updates/main/c/cscope/cscope_15.5-1.1sarge1_arm.deb
      Size/MD5 checksum:   147144 2883925e350e9c1a61df7bd0b6ded80b

  Intel IA-32 architecture:

    http://security.debian.org/pool/updates/main/c/cscope/cscope_15.5-1.1sarge1_i386.deb
      Size/MD5 checksum:   143268 7b5041218a1d0d4683f149fe333e52e6

  Intel IA-64 architecture:

    http://security.debian.org/pool/updates/main/c/cscope/cscope_15.5-1.1sarge1_ia64.deb
      Size/MD5 checksum:   181016 1f30bd424479d8002e4afbe758ed927a

  HP Precision architecture:

    http://security.debian.org/pool/updates/main/c/cscope/cscope_15.5-1.1sarge1_hppa.deb
      Size/MD5 checksum:   158416 04f6d209cf7f6d99b28bbc3e74f393c3

  Motorola 680x0 architecture:

    http://security.debian.org/pool/updates/main/c/cscope/cscope_15.5-1.1sarge1_m68k.deb
      Size/MD5 checksum:   140056 2a1f177e9acbab792c4f8c81cc297c94

  Big endian MIPS architecture:

    http://security.debian.org/pool/updates/main/c/cscope/cscope_15.5-1.1sarge1_mips.deb
      Size/MD5 checksum:   157266 70fb8dcdbe4a9dd2ef2514a6fa77f3d9

  Little endian MIPS architecture:

    http://security.debian.org/pool/updates/main/c/cscope/cscope_15.5-1.1sarge1_mipsel.deb
      Size/MD5 checksum:   155642 2fbdaf957f0eb69ddaf8f77895c0b168

  PowerPC architecture:

    http://security.debian.org/pool/updates/main/c/cscope/cscope_15.5-1.1sarge1_powerpc.deb
      Size/MD5 checksum:   154582 bcdde0a0f8a80b55fbab45ce66027aeb

  IBM S/390 architecture:

    http://security.debian.org/pool/updates/main/c/cscope/cscope_15.5-1.1sarge1_s390.deb
      Size/MD5 checksum:   154312 bf35186e8d1fcab8c75e8d93282ccc17

  Sun Sparc architecture:

    http://security.debian.org/pool/updates/main/c/cscope/cscope_15.5-1.1sarge1_sparc.deb
      Size/MD5 checksum:   148258 f6a9b63c74193e3c60d36322c0b4d456



  These files will probably be moved into the stable distribution on
  its next update.

- ---------------------------------------------------------------------------------
For apt-get: deb http://security.debian.org/ stable/updates main
For dpkg-ftp: ftp://security.debian.org/debian-security dists/stable/updates/main
Mailing list: debian-security-announce@lists.debian.org
Package info: `apt-cache show <pkg>' and http://packages.debian.org/<pkg>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEbk2OXm3vHE4uyloRAojnAJ0WZEP6dypAtDSkhCJKDF552dWlhQCePwgE
WExMRNbPsBPZ0Aknunehz8I=
=eK4G
-----END PGP SIGNATURE-----

    

- 漏洞信息

11920
Cscope #include filename Overflow
Local Access Required Input Manipulation
Loss of Integrity
Exploit Unknown Vendor Verified

- 漏洞描述

A local overflow exists in Cscope. Cscope fails to check the length of passed values resulting in an environment variable overflow. With a specially crafted #include filename, an attacker can cause the $PATHNAME to overflow resulting in a loss of integrity.

- 时间线

2004-11-11 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

- 漏洞信息

Cscope Include Filename Buffer Overflow Vulnerability
Boundary Condition Error 18050
Yes No
2004-11-11 12:00:00 2009-06-16 02:19:00
Jason Duell is credited with the discovery of this vulnerability.

- 受影响的程序版本

RedHat Enterprise Linux WS 4
RedHat Enterprise Linux WS 3
RedHat Enterprise Linux ES 4.8.z
RedHat Enterprise Linux ES 4
RedHat Enterprise Linux ES 3
RedHat Enterprise Linux Desktop Workstation 5 client
RedHat Desktop 4.0
RedHat Desktop 3.0
Red Hat Enterprise Linux EUS 5.3.z server
Red Hat Enterprise Linux Desktop 5 client
Red Hat Enterprise Linux AS 4.8.z
Red Hat Enterprise Linux AS 4
Red Hat Enterprise Linux AS 3
Red Hat Enterprise Linux 5 Server
Gentoo Linux
Debian Linux 3.1 sparc
Debian Linux 3.1 s/390
Debian Linux 3.1 ppc
Debian Linux 3.1 mipsel
Debian Linux 3.1 mips
Debian Linux 3.1 m68k
Debian Linux 3.1 ia-64
Debian Linux 3.1 ia-32
Debian Linux 3.1 hppa
Debian Linux 3.1 arm
Debian Linux 3.1 amd64
Debian Linux 3.1 alpha
Debian Linux 3.1
Debian Linux 3.0 sparc
Debian Linux 3.0 s/390
Debian Linux 3.0 ppc
Debian Linux 3.0 mipsel
Debian Linux 3.0 mips
Debian Linux 3.0 m68k
Debian Linux 3.0 ia-64
Debian Linux 3.0 ia-32
Debian Linux 3.0 hppa
Debian Linux 3.0 arm
Debian Linux 3.0 alpha
Debian Linux 3.0
Cscope Cscope 15.5
+ SCO Open Server 5.0.7
+ SCO Open Server 5.0.6
Cscope Cscope 15.4
Cscope Cscope 15.3
Cscope Cscope 15.1
Apple Mac OS X Server 10.4.10
Apple Mac OS X Server 10.3.9
Apple Mac OS X 10.4.10
Apple Mac OS X 10.3.9

- 漏洞讨论

Cscope is prone to a buffer-overflow vulnerability because it fails to properly validate the size of attacker-supplied data before copying it into a finite-sized buffer.

Exploiting this issue allows remote attackers to execute arbitrary machine code in the context of the user running the application. Failed exploit attempts will likely crash the application, denying service to legitimate users.

- 漏洞利用

Currently we are not aware of any working exploits. If you feel we are in error or if you are aware of more recent information, please mail us at: vuldb@securityfocus.com.

- 解决方案

Updates are available. Please see the references for details.


Apple Mac OS X Server 10.3.9

Apple Mac OS X 10.3.9

Apple Mac OS X 10.4.10

Apple Mac OS X Server 10.4.10

Cscope Cscope 15.3

Cscope Cscope 15.5

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站